Subject: Re: bug#45010: 28.0.50; feature/native-comp crash

From: Andrea Corallo <[email-masked]>
Date: Wed, 02 Dec 2020 17:29:22 +0000

"Kirill A. Korinsky" via "Bug reports for GNU Emacs, the Swiss army
knife of text editors" <[email-masked]> writes:

> Good day!
>
> I discovered a code that crashes native-comp feature.
>
> elisp code:
>
> (setq )
>
> The crash on macOS:
> https://gist.github.com/catap/2264207f0cc4b2c196221eff688a50d3
>
> My local git root: 6523b8401519a29ca0aefaf44c3dfa36f681f64e

Hi Kirill,

that's a nice reproducer! :)

I can reproduce the crash on 6523b840 but not on the current head
(21104e6808).

I believe this is a duplicate of bug#44968 and should be what I've fixed
yesterday.

Wanna have a try with the latest head and confirm?

Thanks!

  Andrea